{% extends 'authentication/_layout/layout_authentication.html.twig' %}

{% set authentication_block_title = 'Sign In' %}
{% set authentication_block_description = 'Sign in to continue to Reavant.' %}

{% block title %}Sign In {{ parent() }}{% endblock %}

{% block content %}

    {% if error %}
        <div class="alert alert-danger">
            {{ error.messageKey|trans(error.messageData, 'security') }}
        </div>
    {% endif %}

    {% embed 'authentication/_component/flash.html.twig' %}{% endembed %}

    <form class="form-horizontal auth-form my-2" method="post">
        <div class="form-group">
            <label for="username">Email Address</label>
            <div class="input-group mb-3">
                <input type="email" id="inputEmail" name="email" class="form-control"
                       value="{{ last_username }}" placeholder="Enter email address"
                       required
                       autofocus>
            </div>
        </div><!--end form-group-->

        <div class="form-group">
            <label for="userpassword">Password</label>
            <div class="input-group mb-3">
                <input type="password" id="inputPassword" name="password"
                       class="form-control" placeholder="Enter password" required>
            </div>
        </div><!--end form-group-->

        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

        {#
             Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
             See https://symfony.com/doc/current/security/remember_me.html

             <div class="checkbox mb-3">
                 <label>
                     <input type="checkbox" name="_remember_me"> Remember me
                 </label>
             </div>
         #}

        <div class="form-group row mt-4">
            <div class="col-sm-6">
                <div class="custom-control custom-switch switch-success">
                    <input type="checkbox" class="custom-control-input"
                           id="customSwitchSuccess2">
                    <label class="custom-control-label text-muted"
                           for="customSwitchSuccess2">Remember me</label>
                </div>
            </div><!--end col-->
            <div class="col-sm-6 text-right">
                <a href="{{ path('authentication_account_recovery') }}"
                   class="text-muted font-13"><i
                            class="dripicons-lock"></i> Forgot password?</a>
            </div><!--end col-->
        </div><!--end form-group-->

        <div class="form-group mb-0 row">
            <div class="col-12 mt-2">
                <button class="btn btn-primary btn-block waves-effect waves-light"
                        type="submit">Sign In <i class="fas fa-sign-in-alt ml-1"></i>
                </button>
            </div><!--end col-->
        </div> <!--end form-group-->
    </form><!--end form-->
    <div class="m-3 text-center text-muted">
        <p class="">Don't have an account? <a href="{{ path('home_buy') }}"
                                              class="text-primary ">Subscribe now.</a>
        </p>
    </div>

{% endblock %}
